import * as util from './utilities.js';

(($, Drupal, once) => {
  Drupal.behaviors.EditPlusFieldAddedToPage = {
    attach: (context, settings) => {
      once('EditPlusFieldAddedToPage', '.edit-plus-field-added-to-page', context).forEach(formItem => {
        let markupItem = util.getMarkupItem(formItem);
        if (markupItem) {
          // Use the field wrapper if it's available.
          markupItem = markupItem.closest('.field') ?? markupItem;
          // Animate adding the field to the page.
          markupItem.classList.add('edit-plus-field-added-to-page-effect');
        }
      });
    }
  };
})(jQuery, Drupal, once);
