import * as util from '../utilities.js';
import * as entityForm from '../entity-form.js';
import * as fieldPluginBase from './field-plugin-base.js';

export default function ($ = jQuery, Drupal, once, dropZones) {

  /**
   * Media field plugin.
   */
  class MediaPlugin extends fieldPluginBase.FieldPluginBase {
    constructor() {
      super();
      this.isObserverActive = false;
      this.originalValue = null;
      this.clonedElement = null;
    }
    supportedWidgets = [
      'media_library',
    ];
    focusElement(EditableElement) {
      this.originalValue = EditableElement.getFormItemWrapper().querySelector('.edit-plus-field-value img').src;
    }
    blurElement(EditableElement) {
      const formItemWrapper = EditableElement.getFormItemWrapper();
      const newValue = formItemWrapper.querySelector('.edit-plus-field-value img').src

      this.replaceEditableElementWithMarkup(EditableElement);
      if (this.originalValue !== newValue) {
        entityForm.updateTempstore(EditableElement, newValue.length === 0);
      }
    }

    getFocusedSelectors() {
      let selectors = super.getFocusedSelectors();
      selectors.push('.field--widget-media-library-widget', '#drupal-modal', '.ui-dialog-buttonpane');
      return selectors;
    }
  }

  /**
   * Register the default field plugin.
   */
  window.addEventListener('EditPlusFieldManager.RegisterPlugins', e => {
    e.detail.manager.registerPlugin(new MediaPlugin());
  });

}

