<?php

namespace Drupal\edit_plus\Ajax;

use Drupal\Core\Ajax\CommandInterface;
use Drupal\Core\Ajax\CommandWithAttachedAssetsTrait;

class UpdateMarkup implements CommandInterface {

  use CommandWithAttachedAssetsTrait;

  /**
   * @param string $selector
   *   A CSS selector.
   * @param array $content
   *   The content that will be updated.
   */
  public function __construct(
    protected string $selector,
    protected array $content,
  ) {}

  public function render() {
    return [
      'command' => 'invoke',
      'selector' => $this->selector,
      'method' => 'EditPlusUpdateMarkup',
      'args' => [$this->selector, $this->getRenderedContent()],
    ];
  }

}
