<?php

declare(strict_types=1);

namespace Drupal\edit_plus\Plugin\Tool;

use Drupal\toolbar_plus\Attribute\Tool;
use Drupal\toolbar_plus\ToolPluginBase;
use Drupal\Core\Extension\ModuleExtensionList;
use Drupal\Core\StringTranslation\TranslatableMarkup;
use Drupal\Core\Plugin\ContainerFactoryPluginInterface;
use Symfony\Component\DependencyInjection\ContainerInterface;
use Drupal\Core\DependencyInjection\ContainerInjectionInterface;

/**
 * Plugin implementation of the tool.
 */
#[Tool(
  id: 'edit_plus',
  label: new TranslatableMarkup('Edit'),

)]
final class EditPlus extends ToolPluginBase {

  /**
   * {@inheritdoc}
   */
  public function getIconsPath(): array {
    $path = $this->extensionList->getPath('edit_plus');
    return [
      'mouse_icon' => "/$path/assets/text-mouse.svg",
      'toolbar_icon' => "/$path/assets/text-toolbar.svg"];
  }

}
