<?php

namespace Drupal\edit_plus;

use Drupal\Core\Url;

class Ui {

  function buildBottomBar($actively_used_tempstore_entities, $destination) {
    return [
      'toolbar_plus' => [
        '#type' => 'container',
        '#attributes' => [
          'id' => 'toolbar-plus-bottom-bar',
        ],
        'edit_plus_bottom_bar' => [
          '#type' => 'container',
          '#attributes' => [
            'id' => 'edit-plus-bottom-bar',
          ],
          'save' => [
            '#type' => 'link',
            '#title' => t('Save'),
            '#url' => Url::fromRoute('edit_plus.tempstore.save', [
              'entities' => implode('::', array_keys($actively_used_tempstore_entities)),
            ], [
              'query' => ['destination' => $destination]
            ]),
            '#attributes' => [
              'class' => ['button'],
            ],
          ],
          'discard_changes' => [
            '#type' => 'link',
            '#title' => t('Discard changes'),
            '#url' => Url::fromRoute('edit_plus.tempstore.delete', [
              'entities' => implode('::', array_keys($actively_used_tempstore_entities)),
            ], [
              'query' => ['destination' => $destination]
            ]),
            '#attributes' => [
              'class' => ['button'],
            ],
          ],
        ],
      ],
    ];
  }

}
